summaryrefslogtreecommitdiff
path: root/tests/kernel/file-concurrent.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/kernel/file-concurrent.sh')
-rwxr-xr-xtests/kernel/file-concurrent.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/tests/kernel/file-concurrent.sh b/tests/kernel/file-concurrent.sh
new file mode 100755
index 0000000..51e4ba6
--- /dev/null
+++ b/tests/kernel/file-concurrent.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# file-concurrent: creat/trunc/unlink race test, multiple processes
+# Author: Colin King <colin.king@canonical.com>
+#
+# Copyright (C) 2012 Canonical, Ltd.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
+
+test_script_dir=$(dirname $0)
+rc=1
+test_dir=""
+
+. ${test_script_dir}/../lib/etl_funcs.sh
+
+test_cleanup()
+{
+ etl_remove_test_dir $test_dir
+ etl_umount
+ etl_lumount
+ etl_unlink_keys
+ exit $rc
+}
+trap test_cleanup 0 1 2 3 15
+
+etl_add_keys || exit
+etl_lmount || exit
+etl_mount_i || exit
+test_dir=$(etl_create_test_dir) || exit
+
+${test_script_dir}/file-concurrent/test ${test_dir}
+
+rc=$?
+exit